Redmine - Patch #7647

Adding a hook in the heading on showing an issue
2011-02-18 05:55 - Yuki Sonoda

Status: Closed Start date: 2011-02-18
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Plugin API Estimated time: 0.00 hour
Target version:

Description

The heading (h2) in /issue/show is a good place to show something related with the identity of the issue, as
http://redmine.ruby-lang.org/issues/show/1.

Could you add an hook point here? | would like to use the hook for the MailingListIntegration plugin which | am developing. | think it
is useful for integrating redmine with an external system which posts an issue.

Associated revisions

Revision 5447 - 2011-04-12 21:53 - Jean-Philippe Lang
Adds a helper for issue heading (#7647).

History

#1 - 2011-02-22 21:53 - Jean-Baptiste Barth

I'd prefer putting this heading in a helper you could override, it would be much more flexible. What do you think ? Any opinion about this ?

#2 - 2011-02-23 14:16 - Yuki Sonoda

It sounds good.

#3 - 2011-04-12 21:56 - Jean-Philippe Lang

- Status changed from New to Closed

Jean-Baptiste's solution committed in r5447. IssueHelper#issue_heading is now used and can be overriden.
